    # ===================================================================
    # Environment PROPERTIES                                             
    # ===================================================================
    # Within this section we specify the environment settings within     
    # which we intend to use our build release process. The two          
    # environment settings that are supported are DOS or UNIX. These     
    # settings are primaryly used to set up the back flash/forward       
    # slash values within the perl script files.                         
    #        							    
    # The project home is the PVCS Source area.                          
    # ===================================================================    

    ENV_TYPE=DOS
    LOGNAME=${user.name}
    PROJECT_HOME=D:/WebStore
    PROJECT=WebStore

    # ===================================================================
    # AppServer PROPERTIES                                               
    # ===================================================================
    # These properties are used to manage the appserver.                 
    # They are used for substitutions of appserver config files and      
    # to specify the locations of both the product and webapps etc       
    # APPSERVER_HOME = The appserver product installation directory      
    # APPSERVER_DEPLOY = The location of appserver applications,         
    #                    generally different from APPSERVER_HOME         
    # ===================================================================
    
    APPSERVER_HOME=D:\\Weblogic
    APPSERVER_CONFIG=${APPSERVER_HOME}

    # ===================================================================
    # WebServer PROPERTIES                                               
    # ===================================================================
    # These properties are used to manage the webServer                  
    # They are used for substitutions of appserver config files and      
    # to specify the location of static html and images.                 
    # ===================================================================

    WEBSERVER_HOME= 
    WEBSERVER_DEPLOY=D:\\webstore\\tmp
    WEBSERVER_ROOT=${PROJECT_HOME}/public_html

    # ===================================================================
    # For master build pass with -D command line switch 		              
    # WEBSERVER_HOSTNAMEkdrngd04.corp.sprint.com                         
    # ===================================================================

    # ===================================================================
    # Project Source PROPERTIES                                          
    # ===================================================================
    # Every project has a source tree, with related configuration        
    # parameters about the organizational heirarchy of the tree. The     
    # section below is meant to list the properties for the project      
    # source tree, from which and project is built.                      
    # ===================================================================

    SOURCE_DIR=${PROJECT_HOME}/src
    TEST_DIR=${PROJECT_HOME}/testing
    OPENMARKET_DIR=${PROJECT_HOME}/ext/openmarket
    JSP_ROOT=
    JAVADOC_PACKAGES=com.sns.*

    # ===================================================================

    # Target Deployment PROPERTIES                                       
    # ===================================================================
    # For deployment purposes, we have a target deployment platform      
    # related configuration parameters. These parameters define          
    # deployment related configuration information for any project.      
    # The section below is meant to list the properties for the target   
    # deployment tree, for any project.                                  
    # ===================================================================

    TARGET_PROPERTIES=${TARGET_ROOT}/myserver
    PROJECT_LIB=${PROJECT_HOME}/lib
    SERVLET_TARGET_DIR=${PROJECT_HOME}/lib
    LOG_TARGET_DIR=${APPSERVER_HOME}/log
    JAVADOC_TARGET_DIR=${PROJECT_HOME}/docs/api

    # ===================================================================
    # System PROPERTIES                                                  
    # ===================================================================
    # Their are numerous system utilities and properties which are       
    # configured on every deployment platform. These need to be          
    # configured and maintaned in the section below.                     
    # ===================================================================
    
    CPD=;
    ENRIROMENT_ANTFILE=${PROJECT_HOME}\\config\\environment.xml

    # ===================================================================
    # Java Library and Classpath PROPERTIES                              
    # ===================================================================
    # On any project, there are many third party and tool specific java  
    # libraries that are used. In the following section we specify       
    # environment properties for each of those libraries and also set    
    # the system ClASSPATH that will be used within the make build       
    # release process.                                                   
    # ===================================================================
    
    ANT_CLASSES=${ant.home}/lib/ant.jar${CPD}${ant.home}/lib/optional.jar
    JAXP_CLASSES=${ant.home}/lib/jaxp.jar
    PARSER_CLASSES=${ant.home}/lib/parser.jar
    JAVA_CLASSES=${JAVA_HOME_PATH}/jre/lib/rt.jar${CPD}${JAVA_HOME_PATH}/lib/tools.jar
    CLIENT_CLASSES=${APPSERVER_HOME}/myserver/clientclasses
    SERVER_CLASSES=${APPSERVER_HOME}/myserver/serverclasses
    SERVLET_CLASSES=${APPSERVER_HOME}/myserver/servletclasses
    WEBLOGIC_MAIN_LIB=${APPSERVER_HOME}/lib/weblogicaux.jar
    WEBLOGIC_BOOT_LIB=${APPSERVER_HOME}/lib/weblogic510sp6boot.jar
    WEBLOGIC_BOOT_CLASSES=${APPSERVER_HOME}/classes/boot
    WEBLOGIC_CLASSES=${APPSERVER_HOME}/classes
    WEBLOGIC_LICENSE=${APPSERVER_HOME}/license
    WEBLOGIC_CLASSPATH=${WEBLOGIC_MAIN_LIB}${CPD}${WEBLOGIC_BOOT_LIB}${CPD}${WEBLOGIC_CLASSES}${CPD}${WEBLOGIC_LICENSE}${CPD}${SERVER_CLASSES}
    SAX_CLASSES=${APPSERVER_HOME}/myserver/lib/sax2.zip
    DOM_CLASSES=${APPSERVER_HOME}/myserver/lib/dom2.zip
    XERCES_CLASSES=${APPSERVER_HOME}/myserver/lib/xerces.jar${CPD}${APPSERVER_HOME}/myserver/lib/xercesSamples.jar
    COLLECTIONS_CLASSES=${APPSERVER_HOME}/myserver/lib/collections11.zip
    EXCEPTION_CLASSES=${APPSERVER_HOME}/myserver/lib/exception.jar${CPD}${APPSERVER_HOME}/myserver/lib/applicationexception.jar${CPD}${APPSERVER_HOME}/myserver/lib/nestedexception.jar
    WEBLOGIC_POST_CLASSPATH=${ANT_CLASSES}${CPD}${JAXP_CLASSES}${CPD}${PARSER_CLASSES}${CPD}${JAVA_CLASSES}${CPD}${SAX_CLASSES}${CPD}${DOM_CLASSES}${CPD}${XERCES_CLASSES}${CPD}${EXCEPTION_CLASSES}${CPD}${COLLECTIONS_CLASSES}
    LIB=${WEBLOGIC_BOOT_CLASSES}${CPD}${ANT_CLASSES}${CPD}${JAXP_CLASSES}${CPD}${PARSER_CLASSES}${CPD}${JAVA_CLASSES}${CPD}${WEBLOGIC_MAIN_LIB}${CPD}${WEBLOGIC_CLASSES}${CPD}${WEBLOGIC_LICENSE}${CPD}${SAX_CLASSES}${CPD}${DOM_CLASSES}${CPD}${XERCES_CLASSES}${CPD}${EXCEPTION_CLASSES}${CPD}${COLLECTIONS_CLASSES}
    
    # ===================================================================
    # These Commerce Entries dont apply to ejbc, see the ant.bat file for
    # that environment                                                   
    # ===================================================================

    COMMERCE_CLASSPATH=d:/WebLogicCommerceServer3.2/classes
    INFORMIX_JDBC=${APPSERVER_HOME}\\lib\\ifxjdbc.jar

    # ===================================================================
    # Pre-defined ANT PROPERTIES                                         
    # ===================================================================

    Name=Ant
    name=ant
    version=1.1

    ant.home=.
    classpath=${WEBLOGIC_CLASSES}${CPD}${EJBC_CLASSPATH}${CPD}${LIB}
    build.compiler=classic

